import { useTranslations } from "next-intl";
import {
  Components,
  DashBoard,
  Stacks2,
  Map,
  Grid,
  Files,
  ClipBoard,
  Flag,
  Book,
  Note,
  Sheild,
  Error,
} from "@/components/svg";

import DashboardIcon from '@mui/icons-material/Dashboard';
import AccountCircleIcon from '@mui/icons-material/AccountCircle';
import SettingsIcon from '@mui/icons-material/Settings';
import PaidIcon from '@mui/icons-material/Paid';
import WalletIcon from '@mui/icons-material/Wallet';
import LockResetIcon from '@mui/icons-material/LockReset';
import FiberPinIcon from '@mui/icons-material/FiberPin';

import AccountBalanceWalletIcon from '@mui/icons-material/AccountBalanceWallet';
import { IndianRupee } from "lucide-react";

const Home = () => {
  const t = useTranslations("Menu");

  return {
    sidebarFin: {
      modern: [
        {
          title: t("Dashboard"),
          icon: DashBoard,
          href: "/admin/dashboard",
        },
        {
          title: t("My_Profile"),
          icon: AccountCircleIcon,
          child: [
            {
              title: t("Profile"),
              href: "/admin/profile",
              icon: AccountCircleIcon,
            },
            {
              title: t("Change_Mpin"),
              href: "/admin/set-new-mpin",
              icon: FiberPinIcon,
            },
            {
              title: t("Change_Password"),
              icon: LockResetIcon,
              href: "/admin/update-password",
            },
          ],
        },

        {
          title: t("Wallet_Managment"),
          icon: WalletIcon,
          href: "/admin/wallets-history/list",
        },
        {
          title: t('All_Transaction'),
          icon: WalletIcon,
          child: [
            {
              title: t('All'),
              icon: Note,
              href: "/admin/transaction-history/list/all",
            },
            {
              title: t('Pending'),
              icon: Note,
              href: "/admin/transaction-history/list/pending",
            },
            {
              title: t('Success'),
              icon: Note,
              href: "/admin/transaction-history/list/success",
            },
            {
              title: t('Failed'),
              icon: Note,
              href: "/admin/transaction-history/list/failed",
            },

            {
              title: "Hold",
              icon: Note,
              href: "/admin/transaction-history/list/hold",
            },
            {
              title: t("TDS"),
              icon: Note,
              href: "/admin/transaction-history/list/tds",
            },
            {
              title: t("GST"),
              icon: Note,
              href: "/admin/transaction-history/list/gst",
            },
          ],
        },
        {
          title: t("Fund"),
          icon: IndianRupee,
          child: [

            {
              title: t("Fund_Request"),
              icon: IndianRupee,
              href: "/admin/fund/list",
            },
            {
              title: "Add Fund",
              icon: IndianRupee,
              href: "/admin/fund/fund-credit",
            },
            {
              title: "Wallet Amount Capping",
              icon: IndianRupee,
              href: "/admin/fund/wallet-capping",
            },
          ],
        },

      ],
    },
  };
};

export default Home;
